#pragma once

#include <wvr/wvr.h>
#include <wvr/wvr_render.h>
#include <wvr/wvr_device.h>
#include <wvr/wvr_projection.h>
#include <wvr/wvr_overlay.h>
#include <wvr/wvr_system.h>
#include <wvr/wvr_events.h>

#include <EGL/egl.h>
#include <EGL/eglext.h>
#include <android/window.h>

void wave_init(JavaVM* vm, JNIEnv* jni, jobject activity_class);
void wave_init_vr(EGLDisplay display, EGLContext context, ANativeWindow* surface);
void wave_release_vr();
void wave_draw(float dt);
